GIPHY Trending returns a list of the most relevant and engaging content each and every day. Our feed of trending content is continuously updated, so you always have the latest and greatest at your fingertips.
| Gif URL | Sticker URL |
|---|---|
| api.giphy.com/v1/gifs/trending | api.giphy.com/v1/stickers/trending |
| Request Parameters: | Example: | Description: |
|---|---|---|
| api_key: string(required) | YOUR_API_KEY | GIPHY API Key. |
| limit: integer (int32) | 20 | The maximum number of objects to return. (Default: “25”) |
| offset: integer (int32) | 5 | Specifies the starting position of the results. Default: “0” Maximum: “499” |
| rating: string | g | Filters results by specified rating. Acceptable values include g, pg, pg-13, r. If you do not specify a rating, you will receive results from all possible ratings. |
| customer_id: string | e826c9fc5c929e0d6c6d423841a282aa | An identifier assigned to a user in your platform. Use it consistently across that user's requests. If you do not have your own user ID, you can use the identifier returned by the Random ID Endpoint. |
| bundle: string | messaging_non_clips | Returns only renditions that correspond to the named bundle. Read more about renditions. |
| country_code: string | US | Specify the country of origin of the end user request, in two-letter ISO 3166-1 alpha-2 format. Note: Please specify country code if requests are proxied through your service. |
| region: string | VA | Specify the country subdivision of the end user request, found in ISO 3166-2 format. Note: Please specify region if requests are proxied through your service and country_code is also proxied. |
| remove_low_contrast: boolean | true | Use this parameter to exclude low-contrast items from search results. |